
Redmine - Defect #23412

Cannot read git repository with .git in name

2016-07-23 12:15 - ruhang xu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

As described in the wiki for repo configuration RedmineRepositories, I created a bare repository by git clone --bare.

I named it myrepo.git and setup the full path name on redmine repository setup as /var/redmine/git_repositories/myrepo.git

Suffixing by .git is a naming convention I use for all my bare repositories.

When i tried to browse it with Repository tab on my project, it failed with :

404 The entry or revision was not found in the repository

If I recreate a bare repo exactly the same way but with another name like myrepoxyz, I am able to browse it in redmine.

History

#1 - 2016-07-23 12:16 - ruhang xu

Environment :

Environment:

Redmine version                3.3.0.stable

Ruby version                   2.2.5-p319 (2016-04-26) [x86_64-linux]

Rails version                  4.2.6

Environment                    production

Database adapter               PostgreSQL

SCM:

Subversion                     1.8.10

Mercurial                      3.1.2

Bazaar                         2.7.0

Git                            2.1.4

Filesystem

Redmine plugins:

no plugin installed

#2 - 2016-07-24 05:00 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I cannot reproduce on my CentOS6 Redmine 3.3.0.

$ git --version

git version 1.7.1

#3 - 2016-07-24 10:08 - ruhang xu

Very sorry was a mistake from myself.

I created my initial git repo for redmine from an empty bare repo.

I have issued a git fetch but on another repo which has a very close name.

Now the results are fine when fetched correctly.

Toshi MARUYAMA wrote:

I cannot reproduce on my CentOS6 Redmine 3.3.0.

[...]
https://www.redmine.org/projects/redmine/wiki/RedmineRepositories
https://www.redmine.org/versions/110
https://www.redmine.org/versions/110


#4 - 2016-07-24 16:57 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
